curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-hepsiburada-products-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "HBCV00004X9ZCK",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-hepsiburada-products-reviews"
payload = {
"product": "HBCV00004X9ZCK",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'HBCV00004X9ZCK', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-hepsiburada-products-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "hepsiburada_product_reviews",
"product": "HBCV00004X9ZCK",
"max_items": 2,
"start_page": 1,
"sort": "MOSTHELPFUL",
"partial": false,
"human": "# Hepsiburada product reviews\n\n- **Product:** HBCV00004X9ZCK\n- **Sort:** MOSTHELPFUL\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.83 MB",
"machine": {
"total_items": 2,
"total_reviews_on_hepsiburada": 13022,
"has_more": true,
"items": [
{
"@type": "HepsiburadaProductReview",
"id": "4954a016-9f97-4807-a6de-4f96c4594db5",
"rating": 5,
"text": "Ne Sevgilim nede ailem aldı çalışıp kendi paramla sipariş verdim ( 1 yılın ardından merhaba ürün den çok memnunum FP ürün diyebiliriz özellikle siyah rengi Premium his veriyor)",
"author": "Abdullah Emin E***",
"created_at": "2023-09-25T15:12:02.997Z",
"is_purchase_verified": true,
"helpful_count": 1123,
"seller_name": "Hepsiburada",
"keywords": [
"çok memnunum",
"çok beğendim"
],
"feature_ratings": [
{
"@type": "HepsiburadaReviewFeature",
"name": "Batarya",
"rating": 5
},
{
"@type": "HepsiburadaReviewFeature",
"name": "Ekran",
"rating": 5
}
],
"images": []
},
{
"@type": "HepsiburadaProductReview",
"id": "adeaf7cb-4172-4dff-a32f-feee2489df9e",
"rating": 5,
"text": "iPhone düşünenler eğer “Pro” modeli almayacak ise kesinlikle alınacak en doğru cihaz budur. \n\nPro düşünüyorsanız bile tercih edilmek için birçok noktası var. 13 üzeri tüm iPhone modellerini en ince de",
"author": "Asım K****",
"created_at": "2024-01-09T20:09:36.490Z",
"is_purchase_verified": true,
"helpful_count": 151,
"seller_name": "Hepsiburada",
"keywords": [],
"feature_ratings": [
{
"@type": "HepsiburadaReviewFeature",
"name": "Batarya",
"rating": 5
},
{
"@type": "HepsiburadaReviewFeature",
"name": "Ekran",
"rating": 5
}
],
"images": [
"https://images.hepsiburada.net/usercontents/usercontentimages_0/1fe28beb-d4c4-4ef8-97f3-27769184d015.jpg:webp"
]
}
],
"response_bytes": 1922917
},
"total_points": 2
}Hepsiburada Product Reviews
Get customer reviews for a Hepsiburada product (aggregated across its variants): rating, text, author, date, verified purchase, helpful count, per-feature ratings, keywords and photos. Sort by most helpful or most recent. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
SKU, product group ID or URL. e.g. HBCV00004X9ZCK
Max reviews (up to 490)
1 <= x <= 490Starting page
x >= 1Sort by. Options: MOSTHELPFUL = Most helpful, MOSTRECENT = Most recent
MOSTHELPFUL, MOSTRECENT Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.